import apiEndpoints from '../apiEndpoints';
import { OrderResponseGet } from '../../utils/interface/orderInterface';

export const getOrdersForOwner = async (
  id: string
): Promise<OrderResponseGet> => {
  const response = await fetch(
    `http://localhost:3000${apiEndpoints.order}?ownerID=${id}`
  );

  const data: OrderResponseGet = await response.json();

  if (!response.ok) {
    throw new Error(data.message || 'Something went wrong!');
  }

  return data;
};
